# CRUD: Retrieve a product rate plan charge Retrieves a specific product rate plan charge. Endpoint: GET /v1/object/product-rate-plan-charge/{id} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `X-Zuora-WSDL-Version` (string) Zuora WSDL version number. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `fields` (string) Object fields to return ## Path parameters: - `id` (string, required) The unique ID of a product rate plan charge to be retrieved. For example, 2c93808457d787030157e031fcd34e19. ## Response 200 fields (application/json): - `AccountingCode` (string) The accounting code for the charge. Accounting codes group transactions that contain similar accounting attributes. - `ApplyDiscountTo` (string) Specifies the type of charges that you want a specific discount to apply to. All field values are case sensitive and in all-caps. Enum: "ONETIME (1)", "RECURRING (2)", "USAGE (4)", "ONETIMERECURRING (3)", "ONETIMEUSAGE (5)", "RECURRINGUSAGE (6)", "ONETIMERECURRINGUSAGE (7)" - `BillCycleDay` (integer) Sets the bill cycle day (BCD) for the charge. The BCD determines which day of the month customer is billed. The BCD value in the account can override the BCD in this object. Character limit: 2 Values: a valid BCD integer, 1 - 31 - `BillCycleType` (string) Specifies how to determine the billing day for the charge. Enum: "DefaultFromCustomer", "SpecificDayofMonth", "SubscriptionStartDay", "ChargeTriggerDay", "SpecificDayofWeek", "TermStartDay", "TermEndDay" - `BillingPeriod` (string) The billing period for the charge. The start day of the billing period is also called the bill cycle day (BCD). Enum: "Month", "Quarter", "Annual", "Semi-Annual", "Specific Months", "Subscription Term", "Week", "Specific Weeks", "Specific Days" - `BillingPeriodAlignment` (string) Aligns charges within the same subscription if multiple charges begin on different dates. Enum: "AlignToCharge", "AlignToSubscriptionStart", "AlignToTermStart", "AlignToTermEnd" - `BillingTiming` (string) The billing timing for the charge. You can choose to bill in advance or in arrears for recurring charge types. This field is not used in one-time or usage based charge types. This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). Enum: "In Advance", "In Arrears" - `ChargeFunction` (string) Note: This field is only available if you have the Prepaid with Drawdown or Minimum Commitment feature enabled. To use this field, you must set the X-Zuora-WSDL-Version request header to 141 or higher. Otherwise, an error occurs. This field defines what type of charge it is: * Standard: Normal charge with no Prepayment or Commitment or Drawdown. * Prepayment: For recurring charges. Unit or currency based prepaid charge. * CommitmentTrueUp: For recurring charges. Currency based minimum commitment charge. * Drawdown: For usage charges. Drawdown from prepaid funds. * DrawdownAndCreditCommitment: For usage charges. Drawdown from prepaid funds and then credit to minimum commitment funds. * CreditCommitment: For usage charges. Credit to minimum commitment funds. Enum: "Standard", "Prepayment", "CommitmentTrueUp", "Drawdown", "CreditCommitment", "DrawdownAndCreditCommitment" - `CommitmentType` (string) Note: This field is only available if you have the Prepaid with Drawdown feature enabled. To use this field, you must set the X-Zuora-WSDL-Version request header to 133 or higher. Otherwise, an error occurs. This field defines the type of commitment. A prepaid charge can be UNIT or CURRENCY. A minimum commitment(in-arrears) charge can only be CURRENCY type. For topup(recurring or one-time) charges, this field indicates what type of funds are created. * If UNIT, it will create a fund with given prepaidUom. * If CURRENCY, it will create a fund with the currency amount calculated in list price. For drawdown(usage) charges, this field indicates what type of funds are drawdown from that created from topup charges. Enum: "UNIT", "CURRENCY" - `ChargeModel` (string) Determines how to calculate charges. Charge models must be individually activated in Zuora Billing administration. Enum: "Discount-Fixed Amount", "Discount-Percentage", "Flat Fee Pricing", "Per Unit Pricing", "Overage Pricing", "Tiered Pricing", "Tiered with Overage Pricing", "Volume Pricing", "Delivery Pricing", "MultiAttributePricing", "PreratedPerUnit", "PreratedPricing`", "HighWatermarkVolumePricing", "HighWatermarkTieredPricing" - `ChargeType` (string) Specifies the type of charge. Enum: "OneTime", "Recurring", "Usage" - `CreatedById` (string) The automatically generated ID of the Zuora user who created the ProductRatePlanCharge object. - `CreatedDate` (string) The date when the ProductRatePlanCharge object was created. - `DefaultQuantity` (number) The default quantity of units, such as the number of authors in a hosted wiki service. This field is required if you use a per-unit pricing model. Character limit: 16 Values: a valid quantity value. Note: When ChargeModel is Tiered Pricing or Volume Pricing, if this field is not specified, the value will default to 0. - `DeferredRevenueAccount` (string) The name of the deferred revenue account for this charge. This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). - `Description` (string) A description of the charge. - `DiscountLevel` (string) Specifies if the discount applies to just the product rate plan, the entire subscription, or to any activity in the account. Enum: "rateplan", "subscription", "account" - `EndDateCondition` (string) Defines when the charge ends after the charge trigger date. Values: - SubscriptionEnd: The charge ends on the subscription end date after a specified period based on the trigger date of the charge. - FixedPeriod: The charge ends after a specified period based on the trigger date of the charge. If you set this field to FixedPeriod, you must specify the length of the period and a period type by defining the UpToPeriods and UpToPeriodsType fields. Note: If the subscription ends before the charge end date, the charge ends when the subscription ends. But if the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge will end on the charge end date. Enum: "SubscriptionEnd", "FixedPeriod" - `ExcludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude the related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting. Notes: - To use this field, you must set the X-Zuora-WSDL-Version request header to 115 or later. Otherwise, an error occurs. - This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled. - `ExcludeItemBookingFromRevenueAccounting` (boolean) The flag to exclude the related rate plan charges and order line items from revenue accounting. Notes: - To use this field, you must set the X-Zuora-WSDL-Version request header to 115 or later. Otherwise, an error occurs. - This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled. - `Id` (string) Object identifier. - `IncludedUnits` (number) Specifies the number of units in the base set of units. Character limit: 16 Values: a positive decimal value - `LegacyRevenueReporting` (boolean) - `ListPriceBase` (string) The list price base for the product rate plan charge. Enum: "Per Billing Period", "Per Month", "Per Week", "Per Year", "Per Specific Months" - `MaxQuantity` (number) Specifies the maximum number of units for this charge. Use this field and the MinQuantity field to create a range of units allowed in a product rate plan charge. Character limit: 16 Values: a positive decimal value - `MinQuantity` (number) Specifies the minimum number of units for this charge. Use this field and the MaxQuantity field to create a range of units allowed in a product rate plan charge. Character limit: 16 Values: a positive decimal value - `Name` (string) The name of the product rate plan charge. - `NumberOfPeriod` (integer) Specifies the number of periods to use when calculating charges in an overage smoothing charge model. The valid value is a positive whole number. - `OverageCalculationOption` (string,null) Determines when to calculate overage charges. If the value of the SmoothingMode field is not specified, the value of this field is ignored. Values: - EndOfSmoothingPeriod: This option is used by default. The overage is charged at the end of the smoothing period. - PerBillingPeriod: The overage is charged on-demand rather than waiting until the end of the smoothing period. Enum: "EndOfSmoothingPeriod", "PerBillingPeriod", null - `OverageUnusedUnitsCreditOption` (string,null) Determines whether to credit the customer with unused units of usage. Enum: "NoCredit", "CreditBySpecificRate", null - `PriceChangeOption` (string,null) Applies an automatic price change when a termed subscription is renewed. Enum: "NoChange", "SpecificPercentageValue", "UseLatestProductCatalogPricing", null - `PriceIncreasePercentage` (number,null) Specifies the percentage to increase or decrease the price of a termed subscription's renewal. Use this field if you set the value to SpecificPercentageValue. Character limit: 16 Values: a decimal value between -100 and 100 - `ProductRatePlanId` (string) The ID of the product rate plan associated with this product rate plan charge. - `ProrationOption` (string) Note: This field is only available if you have the Charge Level Proration feature enabled. For more information, see Usage charge proration and Charge level proration option for a recurring charge. To use this field, you must set the X-Zuora-WSDL-Version request header to 135 or higher. Otherwise, an error occurs. You can use this field to specify the charge-level proration option for a usage charge or recurring charge. The tenant-level proration option will be overridden. * NoProration: charge-level proration option that you can set for a usage charge. This option means to not use any proration, which is the default current system behavior for a usage charge. * TimeBasedProration: charge-level proration option that you can set for a usage charge. This option means to prorate the usage charge amount using the actual number of days if the billing period is a partial period. * DefaultFromTenantSetting: charge-level proration option that you can set for a recurring charge. This option means to follow the customer billing rule proration setting. * ChargeFullPeriod: charge-level proration option that you can set for a recurring charge. This options means to charge the full period amount for a partial billing period. Note that this setting means that there is no proration for either collecting or refunding. Even if you cancel the recurring charge in the middle of a billing period, there is no refund for this billing period. Enum: "NoProration", "TimeBasedProration", "DefaultFromTenantSetting", "ChargeFullPeriod" - `RatingGroup` (string,null) A rating group based on which usage records are rated. Only applicable to Usage charges. Possible values: - ByBillingPeriod: The rating is based on all the usages in a billing period. - ByUsageStartDate: The rating is based on all the usages on the same usage start date. - ByUsageRecord: The rating is based on each usage record. - ByUsageUpload: The rating is based on all the usages in a uploaded usage file (.xls or .csv). - ByGroupId: The rating is based on all the usages in a custom group. For more information, see [Usage rating by group](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Usage/Usage_Rating_by_Group). Enum: "ByBillingPeriod", "ByUsageStartDate", "ByUsageRecord", "ByUsageUpload", "ByGroupId", null - `RecognizedRevenueAccount` (string) The name of the recognized revenue account for this charge. - Required when the Allow Blank Accounting Code setting is No. - Optional when the Allow Blank Accounting Code setting is Yes. This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). - `RevRecCode` (string,null) Associates this product rate plan charge with a specific revenue recognition code. - `RevRecTriggerCondition` (string,null) Specifies when revenue recognition begins. Enum: "ContractEffectiveDate", "ServiceActivationDate", "CustomerAcceptanceDate", null - `RevenueRecognitionRuleName` (string) Determines when to recognize the revenue for this charge. Enum: "Recognize upon invoicing", "Recognize daily over time" - `SmoothingModel` (string,null) Specifies the smoothing model for an overage smoothing charge model. Enum: "RollingWindow", "Rollover", null - `SpecificBillingPeriod` (integer,null) Customizes the number of months or weeks for the charges billing period. This field is required if you set the value of the BillingPeriod field to Specific Months or Specific Weeks. The valid value is a positive integer. - `SpecificListPriceBase` (integer,null) The number of months for the list price base of the charge. The value of this field is null if you do not set the value of the ListPriceBase field to Per Specific Months. Notes: - This field is available only if you have the Annual List Price feature enabled. - To use this field, you must set the X-Zuora-WSDL-Version request header to 129 or later. Otherwise, an error occurs. - The value of this field is null if you do not set the value of the ListPriceBase field to Per Specific Months. - `TaxCode` (string) Specifies the tax code for taxation rules. Required when the Taxable field is set to True. Note: This value affects the tax calculation of rate plan charges that come from the ProductRatePlanCharge. - `TaxMode` (string,null) Determines how to define taxation for the charge. Required when the Taxable field is set to True. Note: This value affects the tax calculation of rate plan charges that come from the ProductRatePlanCharge. Enum: "TaxExclusive", "TaxInclusive", null - `Taxable` (boolean) Determines whether the charge is taxable. When set to True, the TaxMode and TaxCode fields are required when creating or updating th ProductRatePlanCharge object. Character limit: 5 Values: True, False Note: This value affects the tax calculation of rate plan charges that come from the ProductRatePlanCharge. - `TriggerEvent` (string) Specifies when to start billing the customer for the charge. Values: - ContractEffective is the date when the subscription's contract goes into effect and the charge is ready to be billed. - ServiceActivation is the date when the services or products for a subscription have been activated and the customers have access. - CustomerAcceptance is when the customer accepts the services or products for a subscription. Enum: "ContractEffective", "ServiceActivation", "CustomerAcceptance" - `UOM` (string,null) Specifies the units to measure usage. Note: You must specify this field when creating the following charge models: - Per Unit Pricing - Volume Pricin - Overage Pricing - Tiered Pricing - Tiered with Overage Pricing - `UpToPeriods` (integer,null) Specifies the length of the period during which the charge is active. If this period ends before the subscription ends, the charge ends when this period ends. Character limit: 5 Values: a whole number between 0 and 65535, exclusive Notes: - You must use this field together with the UpToPeriodsType field to specify the time period. This field is applicable only when the EndDateCondition field is set to FixedPeriod. - If the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge end date will change accordingly up to the original period end. - `UpToPeriodsType` (string,null) The period type used to define when the charge ends. Notes: - You must use this field together with the UpToPeriods field to specify the time period. - This field is applicable only when the EndDateCondition field is set to FixedPeriod. Enum: "Billing Periods", "Days", "Weeks", "Months", "Years", null - `UpdatedById` (string) The ID of the last user to update the object. - `UpdatedDate` (string) The date when the object was last updated. - `UseDiscountSpecificAccountingCode` (boolean,null) Determines whether to define a new accounting code for the new discount charge. Character limit: 5 Values: True, False - `UseTenantDefaultForPriceChange` (boolean) Applies the tenant-level percentage uplift value for an automatic price change to a termed subscription's renewal. Character limit: 5 Values: true, false - `WeeklyBillCycleDay` (string) Specifies which day of the week as the bill cycle day (BCD) for the charge. This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). Enum: "Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday" - `IsAllocationEligible` (boolean) Indicates whether the charge segment is allocation eligible in revenue recognition. The default value is False. Values: True, False Notes: - The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support. - To use this field, you must set the X-Zuora-WSDL-Version request header to 132 or later. - `IsUnbilled` (boolean) Specifies how to perform the accounting during revenue recognition. The default value is False. Values: True, False Notes: - The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support. - To use this field, you must set the X-Zuora-WSDL-Version request header to 132 or later. - `ProductCategory` (string) This field is used to maintain the product category for integration with Zuora Revenue. Notes: - This field is available only if you have the Additional Revenue Fields property enabled. - To use this field, you must set the X-Zuora-WSDL-Version request header to 132 or later. - `ProductClass` (string) This field is used to maintain the product class for integration with Zuora Revenue. Notes: - This field is available only if you have the Additional Revenue Fields property enabled. - To use this field, you must set the X-Zuora-WSDL-Version request header to 132 or later. - `ProductFamily` (string) This field is used to maintain the product family for integration with Zuora Revenue. Notes: - This field is available only if you have the Additional Revenue Fields property enabled. - To use this field, you must set the X-Zuora-WSDL-Version request header to 132 or later. - `ProductLine` (string) This field is used to maintain the product line for integration with Zuora Revenue. Notes: - This field is available only if you have the Additional Revenue Fields property enabled. - To use this field, you must set the X-Zuora-WSDL-Version request header to 132 or later. - `ReflectDiscountInNetAmount` (boolean) When you apply percentage discounts to either of the following charges, you need to set the ReflectDiscountInNetAmount field on your discount charge to true, to enable calculating and displaying the net amount of the following charges in Zuora Revenue. * delivery pricing charge * prepayment charge * drawdown charge Note the following: * If you are an Order to Revenue customer, when you set the ReflectDiscountInNetAmount field to true, you must also set both the ExcludeItemBookingFromRevenueAccounting and ExcludeItemBillingFromRevenueAccounting fields to true. * If you are a Billing - Revenue Integration customer, you must set the ReflectDiscountInNetAmount field to false, otherwise an error will be returned. Billing - Revenue Integration customers are not supported with net amount. * If you are a Zuora Billing customer who does not enable the Order to Revenue or Billing - Revenue Integration feature, when you apply percentage discounts to the preceding charges, you also need to set the ReflectDiscountInNetAmount field to true. - `RevenueRecognitionTiming` (string) Specifies the type of revenue recognition timing. Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI. Note: This field is only available if you have the Order to Revenue feature enabled. Enum: "Upon Billing Document Posting Date", "Upon Order Activation Date" - `RevenueAmortizationMethod` (string) Specifies the type of revenue amortization method. Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI. Note: This field is only available if you have the Order to Revenue feature enabled. Enum: "Immediate", "Ratable Using Start And End Dates" - `ApplyToBillingPeriodPartially` (boolean) Allow the discount duration to be aligned with the billing period partially. Note: You must enable the [Enhanced Discount](https://knowledgecenter.zuora.com/Zuora_Billing/Build_products_and_prices/Basic_concepts_and_terms/B_Charge_Models/D_Manage_Enhanced_Discount) feature to access this field. - `Formula` (string) The price lookup formula defined for the product rate plan charge, which is used to identify the correct and relevant charge definition based on the context. For more information, see Price lookup in Attribute-based Pricing. Notes: - This field is available only if the Attribute-based Pricing feature is enabled. - To use this field, you must set the X-Zuora-WSDL-Version request header to 138 or higher. - `Class__NS` (string) Class associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `DeferredRevAccount__NS` (string) Deferrred revenue account associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `Department__NS` (string) Department associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `IncludeChildren__NS` (string) Specifies whether the corresponding item in NetSuite is visible under child subsidiaries. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Yes", "No" - `IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `IntegrationStatus__NS` (string) Status of the product rate plan charge's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `ItemType__NS` (string) Type of item that is created in NetSuite for the product rate plan charge. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Inventory", "Non Inventory", "Service" - `Location__NS` (string) Location associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `RecognizedRevAccount__NS` (string) Recognized revenue account associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `RevRecEnd__NS` (string) End date condition of the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Charge Period Start", "Rev Rec Trigger Date", "Use NetSuite Rev Rec Template" - `RevRecStart__NS` (string) Start date condition of the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Charge Period Start", "Rev Rec Trigger Date", "Use NetSuite Rev Rec Template" - `RevRecTemplateType__NS` (string) Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `Subsidiary__NS` (string) Subsidiary associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `SyncDate__NS` (string) Date when the product rate plan charge was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). ## Response 401 fields (application/json): - `message` (string) Error message. If the error message is "Authentication error", ensure that the Authorization request header contains valid authentication credentials, then retry the request. See [Authentication](https://developer.zuora.com/docs/guides/authentication/) for more information. If the error message is "Failed to get user info", retry the request. ## Response 404 fields (application/json): - `done` (boolean) - `records` (array) - `size` (integer)